io.etcd.jetcd.api.lock

## Interface LockRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  LockRequest, LockRequest.Builder

    public interface LockRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getLease()` lease is the ID of the lease that will be attached to ownership of the lock.
`com.google.protobuf.ByteString` `getName()` name is the identifier for the distributed shared lock to be acquired.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    com.google.protobuf.ByteString getName()

     name is the identifier for the distributed shared lock to be acquired.

`bytes name = 1;`

Returns:
  The name.

#### getLease

    long getLease()

     lease is the ID of the lease that will be attached to ownership of the
     lock. If the lease expires or is revoked and currently holds the lock,
     the lock is automatically released. Calls to Lock with the same lease will
     be treated as a single acquistion; locking twice with the same lease is a
     no-op.

`int64 lease = 2;`

Returns:
  The lease.